%define name	bibus
%define version	1.5.1
%define	release	%mkrel 3

# Detect the correct path for openoffice
# Starting with the 2010.0 edition, there is no more an openoffice64 specific package

%if %{mdkversion} < 201000
    %ifarch %ix86	 
    %define ooname openoffice.org
    %define oorelease %(rpm -q --queryformat %{VERSION} openoffice.org)
    %define ooext %{_libdir}/ooo-%{oorelease}
    %endif
    %ifarch x86_64
    %define ooname openoffice.org64
    %define oorelease %(rpm -q --queryformat %{VERSION} openoffice.org64)
    %define ooext %{_libdir}/ooo-%{oorelease}_64
    %endif
%else
    %define ooname openoffice.org
    %define oorelease %(rpm -q --queryformat %{VERSION} openoffice.org)
    %define ooext %{_libdir}/ooo-%{oorelease}
%endif

Summary:	Bibliographic database manager with OpenOffice.org integration
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://freefr.dl.sourceforge.net/sourceforge/bibus-biblio/%{name}-%{version}.tar.gz
Patch0:		bibus-1.4.3.1-fix-desktop-file.patch
Patch1:		bibus-1.5.1-fix_path_search.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
License:	GPLv2+
Group:		Publishing
Url:		http://bibus-biblio.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	python >= 2.5
BuildRequires:	%ooname >= 3
Requires:	python >= 2.5
Requires:	%ooname >= 3
Requires:	%ooname-pyuno
#Requires:	python-sqlite2
Requires:	wxPythonGTK

%description
Bibus is a bibliographic and reference management software. Besides besides
searching, editing and sorting bibliographic records, it features:
- Online PubMed and eTBLAST queries
- Direct reference insertion in OpenOffice.org
- File exchange capabilities with other reference managers
- Hierarchical organization of the references with user-defined keys
- Multi-user design
- Live queries (i.e. upgraded when database is modified).

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

mv locale/zh_cn locale/zh_CN
mv locale/cn locale/zh_TW

%install
rm -rf $RPM_BUILD_ROOT

%if %{mdkversion} < 200710
# Before 2007.1 there was no x86_64 OpenOffice.org build
%make -f Setup/Makefile \
	DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	python=%{_bindir}/python \
	oopath=%{_libdir}/ooo-2.1/%{progdir} \
	install
%elsif %{mdkversion} < 200900
      %make -f Setup/Makefile \
      DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
      sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
      python=%{_bindir}/python \
      oopath=%{ooext}/program \
      install
%else %if %{mdkversion} >= 200900
	%make -f Setup/Makefile \
		DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
		sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
		python=%{_bindir}/python \
		oopath=%{ooext}/program \
		ooure=%{ooext}/basis-link/ure-link/lib \
		oobasis=%{ooext}/basis-link/program \
		install
%endif

# we use our own doc installation macro
rm -rf $RPM_BUILD_ROOT%{_docdir}/bibus
# rpm deals with uninstallation
rm -f $RPM_BUILD_ROOT%{_datadir}/bibus/Setup/uninstall.sh
# fix symlink pathname
ln -sf %{_datadir}/bibus/bibusStart.py $RPM_BUILD_ROOT%{_bindir}/bibus
# dirty hack for wrong pathnames in bibus.cfg
sed -e "s|$RPM_BUILD_ROOT/|/|g" $RPM_BUILD_ROOT%{_datadir}/bibus/bibus.cfg \
	> $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg
install -m644 --backup=off $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg \
	$RPM_BUILD_ROOT%{_datadir}/bibus/bibus.cfg
rm -f $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg
# we use distro's iconsdir
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor

# localization
%find_lang %{name}

# icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Menu item, using the provide .desktop file

# Position the bibus.desktop entry
install -m644 --backup=off Setup/bibus.desktop -D $RPM_BUILD_ROOT%{_datadir}/applications/bibus.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# Adjust some permissions
for file in bibus.py bibusStart.py CleanDB.py CodecChoice.py \
Data/parsePubMedJ.py display_panel.py \
FirstStart/FirstTimeWizard_DB.py \
FirstStart/Wizard_SQLite.py \
FirstStart/Wizard_MySQL.py \
FirstStart/MySQL_Setup.py \
Pref_Connection.py Pref_DB.py Pref_Display.py \
Pref_Duplicates_Base.py Pref_Journals.py Pref_Search.py \
RefDisplayDates.py \
moveFile.py \
lyx_remote.py \
BIBbase.py \
Pref_PubMed.py \
RefEditor_Files.py \
LyX/test/test_constants.py \
LyX/test/test_bindings.py \
LyX/test/test_lyxserver_no_running_lyx.py \
LyX/test/test_lfuns.py \
LyX/test/test_lyxclient.py \
LyX/test/test_lyxserver.py \
LyX/test/test_lyxclient_no_running_lyx.py \
LyX/test/test_lyx_remote.py \
LyX/examples/lyx-remote \
LyX/examples/lyx-Mx \
LyX/examples/lyx-bindings \
LyX/examples/lyx-with-client \
LyX/examples/lyx-python \
Utilities/open_url.py \
Utilities/title_case.py;
do
	chmod 755     $RPM_BUILD_ROOT/%{_datadir}/%{name}/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc Docs/html/ScreenShots Docs/html/en Docs/{CHANGELOG,copying,*.txt}
%attr(644,root,root) %{_miconsdir}/%{name}.png
%attr(644,root,root) %{_iconsdir}/%{name}.png
%attr(644,root,root) %{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/bibus.config
%{_bindir}/bibus
%{_datadir}/%{name}
%{_datadir}/applications/bibus.desktop


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-3mdv2011.0
+ Revision: 610067
- rebuild

* Fri Jan 08 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.5.1-2mdv2010.1
+ Revision: 487543
- Fix path search since os.path.abspath seems buggy, fixes #56892

* Mon Nov 30 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.5.1-1mdv2010.1
+ Revision: 471971
- Correct archive path
- Update to 1.5.1

* Tue Oct 13 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.5.0-2mdv2010.0
+ Revision: 457141
- No need for versioned OpenOffice.org for 2010 edition
- Update to 1.5.0
- BR versioned python since it now uses bundled sqlite available only since python 2.5
- removed unused (and wrong) bibus.sh file
- fix permissions for new lyx wizard

* Wed Jun 10 2009 Funda Wang <fwang@mandriva.org> 1.4.3.2-1mdv2010.0
+ Revision: 384630
- revise spec file so that we won't hardcode oo version
- New version 1.4.3.2

* Sun Mar 08 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3.1-3mdv2009.1
+ Revision: 353021
- Adjust OO version for 2009 Spring

* Tue Jan 13 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3.1-2mdv2009.1
+ Revision: 328949
- Update end-of-line fix and permissions
- Restore some checks on end of line encoding
- Adjust locale dir
- Updating license
- Added the OOo3.0 ure and basis link to bibus, to the First Setup wizard works

* Fri Jan 09 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3.1-1mdv2009.1
+ Revision: 327457
- Updated to 1.3.4.1 for OOo 3 support
- Rediff desktop patch
- Remove useless patches
- Sanitize spec file

* Wed Sep 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3-3mdv2009.0
+ Revision: 279948
- update for last OpenOffice.org 3.0

* Wed Jun 25 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4.3-2.1mdv2009.0
+ Revision: 229079
- New version
- Some spec cleanup for the old-style menu entry

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 09 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4-0rc2.2mdv2008.1
+ Revision: 182370
- Added OpenOffice.org pyuno connector dependance

* Sat Mar 01 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4-0rc2mdv2008.1
+ Revision: 177332
- New version, candidate fix for #37896

* Sat Mar 01 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-4mdv2008.1
+ Revision: 176994
- Adjust for 2008.1 new OpenOffice.org
- Add pythonpath for menu entry
- reenable the pythonpath define in bibus.sh in order to fix #33499

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 02 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-3mdv2008.0
+ Revision: 94793
- Use x86_64 bits OpenOffice.org on x86_64 platform for the pyuno connector
  OpenOffice.org is version 2.2 in 2008.0 and 2.1 in 2007.1


* Tue Feb 27 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-2mdv2007.0
+ Revision: 126810
- Updated bibus.cfg file to use OpenOffice.org 2.1 path instead of 2.0

* Thu Feb 08 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.3.0-1mdv2007.1
+ Revision: 117844
- New bibus release
  Comment my own desktop entry since desktop-file-install uses bibus' .desktop

* Mon Feb 05 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-6mdv2007.1
+ Revision: 116550
- bump to -6 for getting the contrib into updates instead of testing

* Mon Feb 05 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-5mdv2007.1
+ Revision: 116503
- fix configuration for x86_64 case
  provide backport compatibility for 2007.0

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.0-4mdv2007.1
+ Revision: 96935
- Remove noarch (#27672)

  + Stéphane Téletchéa <steletch@mandriva.org>
    - small typo in XDG menu category

* Mon Dec 04 2006 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-3mdv2007.1
+ Revision: 90574
- Missing buildrequires on python
- Fix OpenOffice.org Requires that prevented installation
  Fix Docs permissions
  Fix documentation files line terminator
  Fix zh_CN locale
  Fix bibus permission which prevented launching the application
  Add StatupNotify option and our XDG menu implementation
  Some clean may be still needed
- Import bibus

* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-2mdv2007.0
- XDG
- Fix Desktop File

* Fri Apr 21 2006 <austin@mandriva.org> 1.2.0-1mdk
- spec from Thomas Leclerc

